# https://pypi.python.org/packages/source/b/backports.ssl_match_hostname/backports.ssl_match_hostname-3.5.0.1.tar.gz
%define module_name backports.ssl_match_hostname

Name:           python-backports-ssl_match_hostname
Version:        3.5.0.1
Release:        %mkrel 2
Summary:        The ssl.match_hostname() function from Python 3
Group:          Development/Python

License:        PSFL
URL:            https://bitbucket.org/brandon/backports.ssl_match_hostname
Source0:        %{module_name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-backports

%description
The Secure Sockets layer is only actually secure if you check the hostname in
the certificate returned by the server to which you are connecting, and verify
that it matches to hostname that you are trying to reach.

But the matching logic, defined in RFC2818, can be a bit tricky to implement on
your own. So the ssl package in the Standard Library of Python 3.2 now includes
a match_hostname() function for performing this check instead of requiring
every application to implement the check separately.

This backport brings match_hostname() to users of earlier versions of Python.
The actual code inside comes verbatim from Python 3.2.

%prep
%setup -qn %{module_name}-%{version}
rm -f backports/__init__.py

%build
%py2_build

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%pre
rm -rf /usr/lib/python2.7/site-packages/backports.ssl_match_hostname-3.4.0.2-py2.7.egg-info &>/dev/null

%files
%doc backports/ssl_match_hostname/*.txt
%{python_sitelib}/*

%changelog
* Thu Apr 19 2018 marcin82 <fixxer1982 at gmail.com> 3.5.0.1-2pclos2018
- rebuild with python 3.6.5

* Fri Mar 30 2018 marcin82 <fixxer1982 at gmail.com> 3.5.0.1-1pclos2018
- update

* Fri Dec 13 2013 billybot <billybot> 3.4.0.2-2pclos2013
- fix updating

* Fri Dec 13 2013 billybot <billybot> 3.4.0.2-1pclos2013
- import into pclos
